function getcolumns(setdrawer) {
  return [
    {
      title: '数据编号',
      dataIndex: 'dataCode',
      key: 'dataCode',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '数据名称',
      dataIndex: 'title',
      key: 'dataName',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
    },
    {
      title: '数据类型',
      dataIndex: 'dataTypeName',
      key: 'dataType',
      valueType: 'input',
      search: false,
      fieldProps: {
        disabled: true,
      },
    },
    {
      title: '描述',
      dataIndex: 'describe',
      key: 'describe',
      valueType: 'input',
      search: false,
      fieldProps: {
        disabled: true,
      },
    },
    {
      title: '上级组织',
      dataIndex: 'parentKey',
      key: 'parentKey',
      formItemProps: {
        rules: [
          {
            required: false,
            message: '此项为必填项',
          },
        ],
      },
      fieldProps: {
        placeholder: '请输入',
        disabled: true,
      },
      search: false,
    },
  ];
}

export default getcolumns;
